/****************************************************************************
** Interface definition generated for ActiveQt project
**
**     'C:\Qt\4.7.0\examples\activeqt\menus\release\menusax.exe'
**
** Created:  ven. 1. oct. 10:22:12 2010
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

import "ocidl.idl";
#include <olectl.h>

[
	uuid(CE947EE3-0403-4FDC-895A-4FE779394B46),
	version(1.0),
	helpstring("menusax 1.0 Type Library")
]
library menusaxLib
{
	importlib("stdole32.tlb");
	importlib("stdole2.tlb");

	/************************************************************************
	** If this causes a compile error in MIDL you need to upgrade the
	** Platform SDK you are using. Download the SDK from msdn.microsoft.com
	** and make sure that both the system and the Visual Studio environment
	** use the correct files.
	**
	************************************************************************/

	[uuid(34030f30-e359-4fe6-ab82-39766f5d91ee)]
	struct QRect {
		int left;
		int top;
		int right;
		int bottom;
	};

	[uuid(cb5f84b3-29e5-491d-ba18-5472488eefba)]
	struct QSize {
		int width;
		int height;
	};

	[uuid(3be838a3-3fac-bfc4-4c6c-37c44d030252)]
	struct QPoint {
		int x;
		int y;
	};

	/* Forward declaration of classes that might be used as parameters */

	coclass QMenus;


	enum DockOption {
		AnimatedDocks       	= 1, 
		AllowNestedDocks    	= 2, 
		AllowTabbedDocks    	= 4, 
		ForceTabbedDocks    	= 8, 
		VerticalTabs        	= 16
	};

	enum DockOptions {
		AnimatedDocks_      	= 0x00000001, 
		AllowNestedDocks_   	= 0x00000002, 
		AllowTabbedDocks_   	= 0x00000004, 
		ForceTabbedDocks_   	= 0x00000008, 
		VerticalTabs_       	= 0x00000010
	};

	enum MousePointer {
		ArrowCursor             = 0,
		UpArrowCursor           = 1,
		CrossCursor             = 2,
		WaitCursor              = 3,
		IBeamCursor             = 4,
		SizeVerCursor           = 5,
		SizeHorCursor           = 6,
		SizeBDiagCursor         = 7,
		SizeFDiagCursor         = 8,
		SizeAllCursor           = 9,
		BlankCursor             = 10,
		SplitVCursor            = 11,
		SplitHCursor            = 12,
		PointingHandCursor      = 13,
		ForbiddenCursor         = 14,
		WhatsThisCursor         = 15,
		BusyCursor	= 16
	};

	enum FocusPolicy {
		NoFocus             = 0,
		TabFocus            = 1,
		ClickFocus          = 2,
		StrongFocus         = 11,
		WheelFocus          = 15
	};


	[
		uuid(9EE49617-7D5C-441A-B833-4B068D40D751),
		helpstring("QMenus Interface")
	]
	dispinterface IQMenus
	{
	properties:
		[id(1), readonly] VARIANT_BOOL modal;
	/****** Property is of unsupported datatype
		[id(2)] Qt::WindowModality windowModality;
	******/
		[id(3)] VARIANT_BOOL enabled;
		[id(4), readonly] struct QRect normalGeometry;
		[id(5), readonly] int x;
		[id(6), readonly] int y;
		[id(7), readonly] int width;
		[id(8), readonly] int height;
	/****** Property is of unsupported datatype
		[id(9)] QSizePolicy sizePolicy;
	******/
		[id(10), nonbrowsable] int minimumWidth;
		[id(11), nonbrowsable] int minimumHeight;
		[id(12), nonbrowsable] int maximumWidth;
		[id(13), nonbrowsable] int maximumHeight;
	/****** Property is of unsupported datatype
		[id(14)] QPalette palette;
	******/
		[id(15)] IFontDisp* font;
		[id(16)] enum MousePointer cursor;
		[id(17)] VARIANT_BOOL mouseTracking;
		[id(18)] enum FocusPolicy focusPolicy;
	/****** Property is of unsupported datatype
		[id(19)] Qt::ContextMenuPolicy contextMenuPolicy;
	******/
		[id(20), nonbrowsable] VARIANT_BOOL updatesEnabled;
		[id(21), readonly] VARIANT_BOOL maximized;
		[id(22), readonly] VARIANT_BOOL fullScreen;
		[id(23)] VARIANT_BOOL acceptDrops;
		[id(24)] BSTR windowTitle;
	/****** Property is of unsupported datatype
		[id(25)] QIcon windowIcon;
	******/
		[id(26)] BSTR windowIconText;
		[id(27)] VARIANT_BOOL windowModified;
		[id(28)] BSTR toolTip;
		[id(29)] BSTR statusTip;
		[id(30)] BSTR whatsThis;
		[id(31)] BSTR accessibleName;
		[id(32)] BSTR accessibleDescription;
	/****** Property is of unsupported datatype
		[id(33)] Qt::LayoutDirection layoutDirection;
	******/
		[id(34)] VARIANT_BOOL autoFillBackground;
		[id(35)] BSTR styleSheet;
	/****** Property is of unsupported datatype
		[id(36)] QLocale locale;
	******/
		[id(37)] BSTR windowFilePath;
	/****** Property is of unsupported datatype
		[id(38)] Qt::InputMethodHints inputMethodHints;
	******/
		[id(39)] struct QSize iconSize;
	/****** Property is of unsupported datatype
		[id(40)] Qt::ToolButtonStyle toolButtonStyle;
	******/
		[id(41)] VARIANT_BOOL animated;
		[id(42)] VARIANT_BOOL documentMode;
	/****** Property is of unsupported datatype
		[id(43)] QTabWidget::TabShape tabShape;
	******/
		[id(44)] VARIANT_BOOL dockNestingEnabled;
		[id(45)] enum DockOptions dockOptions;
		[id(46)] VARIANT_BOOL unifiedTitleAndToolBarOnMac;

	methods:
		[id(47)] void setEnabled([in] VARIANT_BOOL p0);
		[id(48)] void setDisabled([in] VARIANT_BOOL p0);
		[id(49)] void setWindowModified([in] VARIANT_BOOL p0);
		[id(50)] void setWindowTitle([in] BSTR p0);
		[id(51)] void setStyleSheet([in] BSTR p_styleSheet);
		[id(52)] void setFocus();
		[id(53)] void setVisible([in] VARIANT_BOOL p_visible);
		[id(54)] void show();
		[id(55)] void hide();
		[id(56)] VARIANT_BOOL close();
		[id(57)] void raise();
		[id(58)] void lower();
		[id(59)] void setAnimated([in] VARIANT_BOOL p_enabled);
		[id(60)] void setDockNestingEnabled([in] VARIANT_BOOL p_enabled);
		[id(61)] void fileOpen();
		[id(62)] void fileSave();
		[id(63)] void editNormal();
		[id(64)] void editBold();
		[id(65)] void editUnderline();
		[id(66)] void editAdvancedFont();
		[id(67)] void editAdvancedStyle();
		[id(68)] void helpAbout();
		[id(69)] void helpAboutQt();
	};

	[
		uuid(13ECA64B-EE2A-4F3C-AA04-5D9D975979A7),
		helpstring("QMenus Events Interface")
	]
	dispinterface IQMenusEvents
	{
	properties:
	methods:
	/****** Signal parameter uses unsupported datatype
		[id(1)] void destroyed([in] QObject p0);
	******/
		[id(2)] void destroyed_1();
		[id(3)] void customContextMenuRequested([in] struct QPoint p_pos);
		[id(4)] void iconSizeChanged([in] struct QSize p_iconSize);
	/****** Signal parameter uses unsupported datatype
		[id(5)] void toolButtonStyleChanged([in] Qt::ToolButtonStyle p_toolButtonStyle);
	******/
	};

	[
		aggregatable,
		helpstring("QMenus Class"),
		uuid(4DC3F340-A6F7-44E4-A79B-3E9217695FBD), 
		control
	]
	coclass QMenus
	{
		[default] dispinterface IQMenus;
		[default, source] dispinterface IQMenusEvents;
	};
};
